#include <SDL.h>
#include <SDL_ttf.h>

int main( int argc, char * argv[] ) {
    SDL_Window *ventana;
    SDL_Renderer *renderer;
    SDL_Texture *texture;
    SDL_Surface *superficie;
    const char *file = "./arial.ttf";
    SDL_Color blanco = {255,255,255,255};
    SDL_Rect rTexto;

    SDL_Init(SDL_INIT_EVERYTHING);
    TTF_Init();

    ventana = SDL_CreateWindow("Mi primera ventana",
        SDL_WINDOWPOS_CENTERED, SDL_WINDOWPOS_CENTERED,
            640, 480, SDL_WINDOW_SHOWN | SDL_WINDOW_BORDERLESS);
    renderer = SDL_CreateRenderer(ventana, -1, 0);

    SDL_SetRenderDrawColor(renderer, 0,0,0,255);
    SDL_RenderClear(renderer);
    TTF_Font *fuente = TTF_OpenFont(file, 36);
    TTF_SetFontStyle(fuente, TTF_STYLE_ITALIC);
    TTF_SetFontSize(fuente, 72);
    TTF_SetFontOutline(fuente, 1);
    TTF_SetFontDirection(fuente, TTF_DIRECTION_LTR);
    TTF_SetFontHinting(fuente, TTF_HINTING_LIGHT);
    superficie = TTF_RenderUTF8_Blended(fuente, "Hola, SDL 2.", blanco);

    texture = SDL_CreateTextureFromSurface(renderer, superficie);
    SDL_QueryTexture(texture, NULL, NULL, &rTexto.w, &rTexto.h);
    rTexto.x=rTexto.y=30;
    SDL_RenderCopy(renderer, texture, NULL, &rTexto);

    SDL_RenderPresent(renderer);
    SDL_Delay(5000);
    TTF_CloseFont(fuente);
    SDL_DestroyTexture(texture);
    SDL_DestroyRenderer(renderer);
    SDL_DestroyWindow(ventana);
    TTF_Quit();
    SDL_Quit();
    return 0;
}
